=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2009-05-01 06:42:30 +0000
+++ bzrlib/errors.py	2009-05-05 12:41:04 +0000
@@ -1173,7 +1173,8 @@
 class DivergedBranches(BzrError):
 
     _fmt = ("These branches have diverged."
-            " Use the merge command to reconcile them.")
+            " Use the missing command to see how.\n"
+            "Use the merge command to reconcile them.")
 
     def __init__(self, branch1, branch2):
         self.branch1 = branch1

=== modified file 'bzrlib/tests/blackbox/test_pull.py'
--- bzrlib/tests/blackbox/test_pull.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/blackbox/test_pull.py	2009-05-05 11:40:47 +0000
@@ -239,7 +239,8 @@
         out = self.run_bzr('pull ../branch_a', retcode=3)
         self.assertEqual(out,
                 ('','bzr: ERROR: These branches have diverged.'
-                    ' Use the merge command to reconcile them.\n'))
+                    ' Use the missing command to see how.\n'
+                    'Use the merge command to reconcile them.\n'))
         self.assertEqual(branch_b.get_parent(), parent)
         # test implicit --remember after resolving previous failure
         uncommit(branch=branch_b, tree=tree_b)

